Bug 241063 - textproc/rubygem-sassc: fix port
Summary: textproc/rubygem-sassc: fix port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-04 18:28 UTC by Steve Wills
Modified: 2019-10-22 16:13 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
patch to fix port (1.67 KB, patch)
2019-10-04 18:28 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2019-10-04 18:28:33 UTC
Created attachment 208098 [details]
patch to fix port

Package builds but is not usable without these changes.
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-10-18 17:29:41 UTC
I do not understand the problem. Please give more details. Thanks.
Comment 2 Steve Wills freebsd_committer 2019-10-18 17:35:49 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #1)
I optimizes for the local machine, so the package can't be used on all systems, will give illegal instruction on different systems. That's why we always remove -march=native -mtune=native. Please commit.
Comment 3 commit-hook freebsd_committer 2019-10-20 17:22:25 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Oct 20 17:21:42 UTC 2019
New revision: 515060
URL: https://svnweb.freebsd.org/changeset/ports/515060

Log:
  Disable optimization

  - Bump PORTREVISION for package change

  PR:		241063
  Submitted by:	swills

Changes:
  head/textproc/rubygem-sassc/Makefile
  head/textproc/rubygem-sassc/files/patch-ext-extconf.rb
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-10-20 17:22:38 UTC
Committed. Thanks!
Comment 5 commit-hook freebsd_committer 2019-10-22 16:13:53 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Oct 22 16:13:24 UTC 2019
New revision: 515204
URL: https://svnweb.freebsd.org/changeset/ports/515204

Log:
  MFH: r515060

  Disable optimization

  - Bump PORTREVISION for package change

  PR:		241063
  Submitted by:	swills

  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/textproc/rubygem-sassc/Makefile
  branches/2019Q4/textproc/rubygem-sassc/files/patch-ext-extconf.rb